---
title: Feathers Beta Policy  
author: Josh Tynjala

---
# Feathers Beta Policy

From time to time, a class, a property, or a method will be marked as *beta* in a stable release of Feathers. Beta APIs should be considered potentially unstable and they may change without warning. In other words, these APIs are not subject to the [Feathers deprecation policy](deprecation-policy.html), though they may appear in an otherwise stable release.

Consider these APIs a preview of what's coming in the future. They simply need a bit of time in the hands of a wider audience to verify that they're working well enough to come out of beta.

When a beta API has been changed in any way, or it is considered finalized, the release notes will clearly explain what has happened. If changes to your code are required to migrate, instructions will be provided.

Typically, completely new components added to Feathers will be marked as beta in their first release with the full library.