---
title: Feathers SDK and MXML  
author: Josh Tynjala

---
# Feathers SDK and MXML

The Feathers SDK combines the application layout capabilities of MXML with the [Feathers](../) open source library of UI components. The SDK includes its own compilers and everything else that you need to develop Feathers applications. [See an overview of Feathers SDK features.](features.html)

## Installation & Getting Started

-   [Install the Feathers SDK](installation-instructions.html) and its dependencies with the Feathers SDK Manager.

-   Set up the Feathers SDK in your preferred development environment:

    -   [Flash Builder](flash-builder.html)

    -   [IntelliJ IDEA](intellij-idea.html)

-   Follow the instructions in [Getting started with MXML in the Feathers SDK](getting-started-mxml.html) to create your first "Hello World" app using the Feathers SDK.

## Core Concepts

-   [The complete guide to MXML in the Feathers SDK](mxml.html)

## Advanced

-   [Customize the initialization of Starling in a Feathers MXML application](custom-starling-initialization.html)

## Miscellaneous

-   [Build the Feathers SDK from Source Code](build-source-code.html)

-   [Build the Feathers SDK from a Binary Distribution](build-binary-distribution.html)